Hailuo Videos
curl --request POST \
--url https://api.acedata.cloud/hailuo/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "generate"
}
'import requests
url = "https://api.acedata.cloud/hailuo/videos"
payload = { "action": "generate" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'generate'})
};
fetch('https://api.acedata.cloud/hailuo/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"model": "minimax-t2v",
"prompt": "A cat sitting on a cozy windowsill watching the rain",
"first_image_url": null,
"video_url": "https://cdn.example.com/videos/a1b2c3d4.mp4",
"status": "Success"
}
],
"success": true,
"task_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Hailuo Videos
POST
/
hailuo
/
videos
Hailuo Videos
curl --request POST \
--url https://api.acedata.cloud/hailuo/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "generate"
}
'import requests
url = "https://api.acedata.cloud/hailuo/videos"
payload = { "action": "generate" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'generate'})
};
fetch('https://api.acedata.cloud/hailuo/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"model": "minimax-t2v",
"prompt": "A cat sitting on a cozy windowsill watching the rain",
"first_image_url": null,
"video_url": "https://cdn.example.com/videos/a1b2c3d4.mp4",
"status": "Success"
}
],
"success": true,
"task_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Authorizations
API token from https://platform.acedata.cloud
Headers
Hailuo Videos Param Accept
Available options:
application/json, application/x-ndjson Body
application/json
Hailuo Videos Action
Available options:
generate Example:
"generate"
Hailuo Videos Model
Available options:
minimax-i2v, minimax-t2v, minimax-i2v-director Example:
"2.0"
Hailuo Videos Prompt
Example:
"火气"
Hailuo Videos Callback Url
Hailuo Videos Async
Hailuo Videos First Image Url
Was this page helpful?

